## org.eclipse.uml2.uml
Interface TimeEvent

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, Event, NamedElement, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement

    public interface TimeEvent

extends Event

A representation of the model object 'Time Event'. A time event specifies a point in time. At the specified time, the event occurs. A time event can be defined relative to entering the current state of the executing state machine.

The following features are supported:

- `Is Relative`
- `When`

See Also:
  `UMLPackage.getTimeEvent()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ValueSpecification` `createWhen(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'When' containment reference
`ValueSpecification` `getWhen()` Returns the value of the 'When' containment reference
`boolean` `isRelative()` Returns the value of the 'Is Relative' attribute.
`void` `setIsRelative(boolean value)` Sets the value of the '`Is Relative`' attribute
`void` `setWhen(ValueSpecification value)` Sets the value of the '`When`' containment reference
`boolean` `validateStartingTime(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The starting time for a relative time event may only be omitted for a time event that is the trigger of a state machine.
`boolean` `validateWhenNonNegative(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The ValueSpecification when must return a non-negative Integer.

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRelative

    boolean isRelative()

  Returns the value of the 'Is Relative' attribute. The default value is `"false"`. Specifies whether it is relative or absolute time.

  Returns:
    the value of the 'Is Relative' attribute.
  See Also:
    `setIsRelative(boolean)`, `UMLPackage.getTimeEvent_IsRelative()`

### setIsRelative

    void setIsRelative(boolean value)

  Sets the value of the '`Is Relative`' attribute.

  Parameters:
    `value` - the new value of the 'Is Relative' attribute.
  See Also:
    `isRelative()`

### getWhen

    ValueSpecification getWhen()

  Returns the value of the 'When' containment reference. Specifies the corresponding time deadline.

  Returns:
    the value of the 'When' containment reference.
  See Also:
    `setWhen(ValueSpecification)`, `UMLPackage.getTimeEvent_When()`

### setWhen

    void setWhen(ValueSpecification value)

  Sets the value of the '`When`' containment reference.

  Parameters:
    `value` - the new value of the 'When' containment reference.
  See Also:
    `getWhen()`

### createWhen

    ValueSpecification createWhen(java.lang.String name,
                                  Type type,
                                  org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'When' containment reference.

  Parameters:
    `name` - The 'Name' for the new `ValueSpecification`, or `null`.
    `type` - The 'Type' for the new `ValueSpecification`, or `null`.
    `eClass` - The Ecore class of the `ValueSpecification` to create.
  Returns:
    The new `ValueSpecification`.
  See Also:
    `getWhen()`

### validateWhenNonNegative

    boolean validateWhenNonNegative(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The ValueSpecification when must return a non-negative Integer. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateStartingTime

    boolean validateStartingTime(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The starting time for a relative time event may only be omitted for a time event that is the trigger of a state machine. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.